<?php


namespace Schaffen\Financial\BillingRoute\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Person\Models\Person;

class ClientRoute extends Model
{
    protected $table = "movimentacao.rota_cliente";
    protected $primaryKey = "roc_codigo";
    protected $fillable = ["roc_fk_rot_codigo","roc_fk_pes_codigo"];

    public $timestamps = false;

    //cliente
    public function person(){
        return $this->belongsTo(Person::class, 'roc_fk_pes_codigo')
                    ->with('address');
    }
}