<?php


namespace Schaffen\Financial\BillingRoute\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Financial\BillingRoute\Models\Route;

class RouteRepository extends Repository
{
    protected $model = Route::class;
    protected $searchableFields = [
        ['field' => 'rot_codigo'],
        ['field' => 'rot_descricao', 'operator' => 'ilike'],
    ];

    protected function applyCustomFilters()
    {

        extract($this->filters);

    }
}